cURL
curl --request GET \
--url https://app.masivo.ai/api/storefront/v1/communication/threads/{id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>'import requests
url = "https://app.masivo.ai/api/storefront/v1/communication/threads/{id}/messages"
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://app.masivo.ai/api/storefront/v1/communication/threads/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_message_id": "<string>",
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_customer_id": "<string>",
"sender_email": "jsmith@example.com",
"sender_display_name": "<string>",
"recipient_actor_ids": [
{}
],
"subject": "<string>",
"body_text": "<string>",
"body_html": "<string>",
"attachments": [
{}
],
"raw_payload": {},
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"read_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"from": 123,
"to": 123,
"count": 123
}{
"error": "<string>",
"details": "<string>"
}Tickets
List communication messages
List chronological messages for a communication thread.
GET
/
communication
/
threads
/
{id}
/
messages
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The account that owns the communication thread
Path Parameters
The communication thread id
⌘I